<bugID>1238856<Summary>removeCurrentTab method of gBrowser locks up when called inside a response to a sync message from the content process</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 5.1; rv:46.0) Gecko/20100101 Firefox/46.0
Build ID: 20160111030207

Steps to reproduce:

Call the removeCurrentTab() method of gBrowser from my addon's chrome process while a e10s tab is current. running in Nightly of 1/9/2016.


Actual results:

the browser hangs for several seconds, no errors in console, no exception thrown, and most importantly the current tab remains open. this behaviour was intermittent for a few months, but as of 1/2016 it seems to be consistent.


Expected results:

current tab should close as it does in non e10s tabs</Description></bugID>